{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% import ('_includes/macros.html.twig') as appMacros %}
{% set _section = 'flux' %}
{% set _breadcrumb = ['Flux', 'Flux en cours de conception'] %}

{% set is_admin = is_granted('ROLE_ADMIN') %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if is_admin %}
            <h1>Flux en attente de validation</h1>
        {% else %}
            {% if is_granted('flux.create', app.user) %}
                <a href="{{ path('flux.create') }}" data-toggle="modal-remote" class="btn btn-primary pull-right"><span class="fa fa-rss"></span> &nbsp;Nouveau flux</a>
            {% endif %}
            <h1>Flux en cours de conception</h1>
        {% endif %}
    </section>
    <section class="content">
    <!-- /.row -->
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-body no-padding">
                    {{ form_start(list.form, { 'action': app.request.pathInfo, 'method': 'GET' }) }}
                        <table class="table table-responsive table-hover m-0">
                            <thead>
                                <tr>
                                    {{ knp_pagination_sortable(list.pagination, 'Flux', 'flux.name') }}
                                    {% if is_admin %}
                                        {{ knp_pagination_sortable(list.pagination, 'Structure', 'organization.name') }}
                                    {% endif %}
                                    {{ knp_pagination_sortable(list.pagination, 'Statut', 'flux.status') }}
                                    {% if not is_admin %}
                                        {{ knp_pagination_sortable(list.pagination, 'Jeu de règles', 'revisions.status') }}
                                    {% endif %}
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="table-filters">
                                    <td>{{ form_widget(list.form.name, { 'attr': { 'class': 'input-sm' } }) }}</td>
                                    {% if is_admin %}
                                        <td>{{ form_widget(list.form.organization, { 'attr': { 'class': 'input-sm' } }) }}</td>
                                    {% endif %}
                                    <td>{{ form_widget(list.form.status, { 'attr': { 'class': 'input-sm' } }) }}</td>
                                    {% if not is_admin %}
                                        <td>{{ form_widget(list.form.ruleset, { 'attr': { 'class': 'input-sm' } }) }}</td>
                                    {% endif %}
                                </tr>
                                {% for item in items %}
                                    {% set flux = item.0 %}
                                    <tr>
                                        <td>
                                            <a href="{{ path('flux.ruleset.index', { id: flux.id }) }}">{{ flux.name }}</a>
                                        </td>
                                        {% if is_admin %}
                                            <td>
                                                <a href="{{ path('organization.edit', { id: flux.organization.id }) }}">{{ flux.organization.name }}</a>
                                            </td>
                                        {% endif %}
                                        <td>
                                            {{ appMacros.flux_status_frame(flux.statusInfos.status, flux.statusInfos.label, flux.statusInfos.description) }}
                                        </td>
                                        {% if not is_admin %}
                                            <td>
                                                {% set revisionStatus = item.draft_revision_status ?: constant('AppBundle\\Entity\\AlignmentRulesetRevision::STATUS_NONE') %}
                                                <span
                                                        class="_tooltip label label-ruleset status-{{ revisionStatus }}"
                                                        data-tooltip='{"side":"bottom"}'
                                                        title="{{ revision_status_definitions[revisionStatus][1] }}"
                                                >
                                                        <i class="fa fa-fw"></i> {{ revision_status_definitions[revisionStatus][0] }}
                                                    </span>
                                            </td>
                                        {% endif %}
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {{ form_end(list.form) }}
                </div>

                {% if list.pagination | length == 0 %}
                    <div class="blankslate blankslate-spacious">
                        <h3>Aucun flux ne correspond à votre recherche.</h3>
                    </div>
                {% endif %}

                {% if list.totalItemCount > page_size %}
                    <div class="box-footer">
                        {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}